MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0022928Community[OCCT] OCCT:Foundation Classespublic2012-01-25 20:132016-04-20 15:48
ReporterRoman Lygin 
Assigned Tobugmaster 
PrioritynormalSeverityfeature 
StatusclosedResolutionfixed 
PlatformOSWindowsOS Version
Product Version[OCCT] 6.5.2 
Target Version[OCCT] 7.0.0Fixed in Version[OCCT] 7.0.0 
Summary0022928: Stop enforcing /DWNT on Windows in Standard_Macro.hxx
DescriptionCurrently Standard_Macro.hxx contains:

#if defined(_MSC_VER) && !defined(WNT)
#error "Wrong compiler options has been detected. Add /DWNT option for proper compilation!!!!!"
#endif

which leads to annoying error if WNT is not defined on Windows. This is actually has no practical value and the code should rather be:

#if defined(_WIN32) && !defined(WNT)
#define WNT
#endif

In this case this will be fully transparent for a developer, and will add definition for other compilers on Windows (e.g. mingw), and will be consistent with other macro(s), e.g. _OCC64 which are not required to be explicitly defined by the developer.

Note that use of _WIN32 is valid for 64 bit platform as well. If you like, you can use:
#if (defined(_WIN32) || defined(_WIN64)) && !defined(WNT)
Steps To ReproduceCompile any Windows example excluding WNT from the project file.
TagsNo tags attached.
Test case number
Attached Files

- Relationships
duplicate of 0022972closedkgv Open CASCADE Eliminate macro definitions that has compiler-provided analogs (WNT and so on) 

-  Notes
(0046111)
abv (manager)
2015-09-25 00:17

This is fixed by patch on 0022972, please switch to Verified when the latter is integrated

- Issue History
Date Modified Username Field Change
2012-01-25 20:13 Roman Lygin New Issue
2012-01-25 20:13 Roman Lygin Assigned To => abv
2014-01-17 09:29 kgv Relationship added duplicate of 0022972
2014-01-17 09:32 abv Target Version => 6.7.1
2014-04-04 18:16 abv Target Version 6.7.1 => 6.8.0
2014-09-11 10:20 abv Target Version 6.8.0 => 7.0.0
2015-09-09 11:53 abv Assigned To abv => akz
2015-09-09 11:53 abv Status new => assigned
2015-09-25 00:17 abv Note Added: 0046111
2015-09-25 00:17 abv Assigned To akz => bugmaster
2015-09-25 00:17 abv Status assigned => feedback
2015-09-30 11:42 bugmaster Status feedback => tested
2015-09-30 11:42 bugmaster Status tested => verified
2015-09-30 11:42 bugmaster Resolution open => fixed
2016-04-20 15:44 user533 Fixed in Version => 7.0.0
2016-04-20 15:48 user533 Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker